petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscViewer

Abstract PETSc object that helps view (in ASCII, binary, graphically etc) other PETSc objects

### Synopsis

    typedef struct _p_PetscViewer* PetscViewer;

### See Also

PetscViewerCreate(), PetscViewerSetType(), PetscViewerType

### Level

beginner

### Location

src/sys/classes/viewer/../../../../include/petscviewertypes.h

### Examples

src/dm/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex70.c.html
src/ts/examples/tutorials/ex11.c.html

### Implementations

PetscViewer_SAWS_Destroy in src/sys/classes/viewer/impls/ams/ams.c
_p_PetscViewer in include/petsc/private/viewerimpl.h
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages